@echo off
cls

::
:: Set project name here
::
set PROJECT_NAME=de0n-xboot-vcom

:: ------------------------------------
 
del .\build\*.* /S /Q >NUL 2>&1

copy ..\..\hw\output_files\*.sof .\build >NUL 2>&1
copy *.elf .\build >NUL 2>&1

echo *******************************
echo * Starting Nios Command Shell *
echo *******************************
echo Please wait...

::
:: Create hwimage.hex and swimage.hex
::
call "%ALTERA_PROGRAM_DIR_V11%\nios2eds\Nios II Command Shell.bat" ./cfg/convert.sh %PROJECT_NAME%

::
:: Convert HEX files to POF, RPD and JIC image files
::
%ALTERA_PROGRAM_DIR_V11%\quartus\bin\quartus_cpf -c .\cfg\de0n_pof.cof
%ALTERA_PROGRAM_DIR_V11%\quartus\bin\quartus_cpf -c .\cfg\de0n_rpd.cof
%ALTERA_PROGRAM_DIR_V11%\quartus\bin\quartus_cpf -c .\cfg\de0n_jic.cof

::
:: Delete files which does not needed anymore
::
del .\build\*.elf
del .\build\*.flash
del .\build\*.hex
del .\build\*.pof

::
:: Rename image files to "project" files
::
copy .\build\image.jic .\build\%PROJECT_NAME%.jic >NUL 2>&1
copy .\build\image.rpd .\build\%PROJECT_NAME%.rpd >NUL 2>&1
copy .\build\image.map .\build\%PROJECT_NAME%.map >NUL 2>&1
del .\build\image.??? >NUL 2>&1

::
:: Add version info to the filenames
::
.\tools\xname -o:.\build\%PROJECT_NAME%.jic -v:.\inc\project.h >NUL 2>&1
.\tools\xname -o:.\build\%PROJECT_NAME%.map -v:.\inc\project.h >NUL 2>&1
.\tools\xname -o:.\build\%PROJECT_NAME%.rpd -v:.\inc\project.h >NUL 2>&1
.\tools\xname -o:.\build\%PROJECT_NAME%.sof -v:.\inc\project.h >NUL 2>&1

::
:: Create XBOOT file for XModem update support
::
.\tools\rpd2xboot -i:.\build\%PROJECT_NAME%_v???.rpd -y
del .\build\*.rpd
echo.

pause

